# Contributing Guidelines

Hello! Thanks for your interest in contributing to the codebase.

## How to contribute

We encourage contributions and use [All Contributions](https://allcontributors.org/) to maintain a list of all the people who have contributed to VDP.

To acknowledge a contribution, add a comment on issue or Pull Request (PR)
```
@all-contributors please add @<username> for <contributions>
```
The all-contributions Bot will open a PR to add the contributor to the README.

Commonly used contribution types includes `design`, `doc`, `bug`, `code` and `ideas`. See [the full list of valid `contribution` types](https://allcontributors.org/docs/en/emoji-key).



## Submitting a pull request

To make an efficient review process, we very much appreciate if the PR commits

- follow the [conventional commits guidelines](https://www.conventionalcommits.org/),
- follow the [7 rules of commit messages](https://chris.beams.io/posts/git-commit/), and
- are rearranged to squash trivial commits together (use [git rebase](http://gitready.com/advanced/2009/03/20/reorder-commits-with-rebase.html)).
